package DAO;

import java.io.Serializable;
import java.util.List;

public interface IGenericDao<K, T extends Serializable> {
    void create(final T entity);
    T findById(final K id);
    T update(final T entity);
    void delete(final T entity);
    void deleteById(final K id);
    List<T> findAll();
    T findOne(final K id);
}
